SPI_REPALLOC(3)

NAME
SPI_repalloc - reallocate memory in the upper executor context

SYNOPSIS

void * SPI_repalloc(void * pointer, Size size)

DESCRIPTION

SPI_repalloc changes the size of a memory segment previously allocated using SPI_palloc.

This function is no longer different from plain repalloc. It's kept just for backward compatibility of existing code.

ARGUMENTS

void * pointer
    pointer to existing storage to change

Size size
    size in bytes of storage to allocate

RETURN VALUE

pointer to new storage space of specified size with the contents copied from the existing area